;================================================================
; 主要游戏流程
; game_init.erb 游戏初始化
;================================================================


;;;初始化整个游戏
;;;@return 没有返回值
@GameInit()
    CALL PrintLine
    WINDOW_TITLE '= @"%GAMEBASE_TITLE% %GAMEBASE_VERSIONNAME% 快速迭代阶段 - 提出建议/反馈BUG 请访问 http://dc.erag.eu.org"
    CALL RegisterLangFiles("mahjong", "zh_cn")
    SIF G_SETTING_LANG != "zh_cn"
        CALL RegisterLangFiles("mahjong", G_SETTING_LANG)
    ; TODO 开发时暂时关掉BGM 吵死了
    ; PLAYBGM "mahjong/majsoul/lobby.mp3"
    CALL PrintLog("游戏初始化成功。", "debug")
    ;#; CALL e2e_test_whole_game
    RETURN
